 VOL version 1.09-88/12

 ***************************************************************
 *                                                             *
 * read/write volume label                                     *
 * parameters: drive[/] volumename (or ? to read, - to delete, *                                                            *
 *             + to reset GEMDOS)                              *                                                            *
 *             default for the second parameter is ?           *                                                            *
 *             the optional / after the drive letter causes    *                                                            *
 *             immediate return after display, otherwise the   *                                                            *
 *             program waits for a keystroke                   *                                                            *
 * NOTE: after volume label deletion, GEMDOS buffers are dis-  *
 *       carded and all open files on drive are lost!          *
 *                                                             *
 ***************************************************************

The program VOL serves (at least for me) three purposes:
1. I can give disks a label, if I forgot so during formatting,
   or even change it (e.g. "VOL A TEX.36")
2. I can remove control-blocks created by the "40-folder bug" of
   TOS for any logical drive (e.g. "VOL C +")
3. I can look at disk characteristics (sectors per track etc.)
   of disks, including an info if the boot sector is executable
   (boot sector virus?) typing just "VOL A".

A report of VOL can be redirected to a file. I obtained the
following sample output by "VOL A >LIST":

 volume A: T4.KA
 serial#: 3288627, media-id: f9 (249), sys-id:  IBM  3.2
 2 sided / 80 trk (9 spt), data region 713 * 1024 bytes

a "VOL C/ >LIST" gives information on my hard disk:

 volume C: (no label)
 serial#: 0, media-id: f8 (248), sys-id:  
 6 sided / 209 trk (26 spt), data region 16298 * 1024 bytes

(means: 6 heads, 209 tracks, 26 sectors per track, 16298 clusters,
and a cluster size of 1024 bytes)

Finally, I just changed the label of my TOS disk by
"VOL A RAMTOS1.0" and saw: 

 volume A: TOS, label deleted
 new label RAMTOS1.0
 boot sector executable
 serial#: 1, media-id: f8 (248), sys-id: Loader
 2 sided / 80 trk (9 spt), data region 711 * 1024 bytes

So much for an introduction. enjoy the program! 
(but tell your lawyer: YOU use it at YOUR risk alone, I take no
liability whatsoever)
                      Roland Waldi, BD05 @ DKAUNI2.BITNET


----------------------------------------------------------------------
SYNTAX:

VOL     [drive[/]  [-|+|name]]

display/clear/create a Volume Label and gives short info about the
disk/partition.

drive     a for A:, b for B:, c for C: etc. (default a)

          a / after the drive letter makes VOL terminate without 
          waiting for a keypress!

name      new Volume Label (the old one will be delete, if it exists)
          Note: All GEM buffers for the drive are reset! Don't use
          VOL when files are open, and re-establish the current
          subdirectory after the call, if you rely on that.

-         delete old Volume Label; the volume is unlabelled afterwards.
          Note: All GEM buffers for the drive are reset!

+         no change in Volume Label, but reset GEMDOS buffers
          (fake media change for harddisk, workaround "40-folder-bug")

?         or no second parameter: just display info.

